# GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
# $Id: CM_package.cmake 2601 2018-09-15 20:40:24Z stephane $


SET ( CPACK_PACKAGE_VENDOR				"Stéphane Charette"				)
SET ( CPACK_PACKAGE_CONTACT				"stephanecharette@gmail.com"	)
SET ( CPACK_PACKAGE_VERSION				${GMM_VERSION}					)
SET ( CPACK_PACKAGE_VERSION_MAJOR		${GMM_VER_MAJOR}					)
SET ( CPACK_PACKAGE_VERSION_MINOR		${GMM_VER_MINOR}					)
SET ( CPACK_PACKAGE_VERSION_PATCH		${GMM_VER_PATCH}					)
SET ( CPACK_RESOURCE_FILE_LICENSE		${CMAKE_CURRENT_SOURCE_DIR}/other/license.txt )
SET ( CPACK_PACKAGE_NAME				"gmm"		)

SET ( CPACK_PACKAGE_DESCRIPTION_SUMMARY	"Gorman Moister Measurement" )
SET ( CPACK_PACKAGE_DESCRIPTION			"Gorman Moister Measurement" )

IF ( WIN32 )
	INCLUDE ( CM_package_windows.cmake )
ELSE ()
	INCLUDE ( CM_package_ubuntu.cmake )
ENDIF ()

SET ( CPACK_SOURCE_IGNORE_FILES	".svn" ".kdev4" "build" )
SET ( CPACK_SOURCE_GENERATOR	"TGZ;ZIP" )

INCLUDE( CPack )
